	PGEN	1
	ORG	$20
A	RMB	1
B	RMB	1
C	RMB	1
D	RMB	3
E	RMB	1

	ORG	$1000
F	ABX
	MUL
G	ADDD	D
	LDD	D
	STD	D
	TDX
	TXD
	TSD
	TDS
	TDS
	TSD
	TSTD
	PSHD
	PULD
	NEGD
	COMD
	RORD
	ROLD
	ASRD
	ASLD
	LSRD
	LSLD
	PSHX
	PULX
	SUBD	D
	LEAX	1,X
	LEAS	2,S
	JMP	F
	JSR	G
	PAGE
H	ADCD	A
	ADCD	H
	ADCD	Z
	ADCD	#7
	ADCD	#$1234


	LDD	A
	LDD	H
	LDD	Z


	STD	A
	STD	H
	STD	Z


	SUBD	A
	SUBD	H
	SUBD	Z
	SUBD	#7
	SUBD	#$1234


	SBCD	A
	SBCD	H
	SBCD	Z
	SBCD	#7
	SBCD	#$1234


	STB	A
	STB	H
	STB	Z


	LDB	A
	LDB	H
	LDB	Z

	PAGE
	LDA	A
	LDA	H
	LDA	Z


	STA	A
	STA	H
	STA	Z


	EORD	A
	EORD	H
	EORD	Z
	EORD	#7
	EORD	#$1234


	ORD	A
	ORD	H
	ORD	Z
	ORD	#7
	ORD	#$1234


	ANDD	A
	ANDD	H
	ANDD	Z
	ANDD	#7
	ANDD	#$1234


	STD	A
	STD	H
	STD	Z


	LDD	A
	LDD	H
	LDD	Z
	PAGE

	SUBD	A
	SUBD	H
	SUBD	Z
	SUBD	#7
	SUBD	#$1234


	ADDD	A
	ADDD	H
	ADDD	Z
	ADDD	#7
	ADDD	#$1234


	LDX	A
	LDX	H
	LDX	Z
	LDX	#7
	LDX	#$1234


	DECD	A
	DECD	H
	DECD	Z


	INCD	A
	INCD	H
	INCD	Z


	CMPD	A
	CMPD	H
	CMPD	Z
	CMPD	#7
	CMPD	#$1234
	PAGE
X
	RMB	4
	BEQD	X
	BNED	X
	BEQD	H
	BNED	H
	BRA	H
	ORG	$2000
Z	FCB	1
	SETDPR	Z
	TST	A
	TST	Z
	INCD	A
	DECD	Z
	LDA	A
	LDA	Z

	IF	M6800
	#1
	ELSE
	#0
	FIN

	IF	M6801
	#1
	ELSE
	#0
	FIN

	IF	M6809
	#1
	ELSE
	#0
	FIN
	END
